Page MenuHomePhabricator

[Power9] Add patterns for vnegd, vnegw
ClosedPublic

Authored by amehsan on Nov 11 2016, 9:05 AM.

Details

Summary

Added patterns for the new instructions

Diff Detail

Event Timeline

amehsan updated this revision to Diff 77625.Nov 11 2016, 9:05 AM
amehsan retitled this revision from to [Power9] Add patterns for vnegd, vnegw.
amehsan updated this object.
amehsan added subscribers: llvm-commits, echristo.
amehsan updated this revision to Diff 77627.Nov 11 2016, 9:07 AM
kbarton accepted this revision.Nov 12 2016, 9:38 PM
kbarton edited edge metadata.

LGTM

This revision is now accepted and ready to land.Nov 12 2016, 9:38 PM
nemanjai added inline comments.Nov 13 2016, 6:55 PM
lib/Target/PowerPC/PPCInstrAltivec.td
1319

Please fix the length of this line on the commit.

amehsan closed this revision.Nov 18 2016, 8:36 AM
amehsan marked an inline comment as done.

https://reviews.llvm.org/rL287334 (fixed the comment in a followup commit though).